loci.formats.in

## Class CV7000Reader.Channel

- java.lang.Object
- - loci.formats.in.CV7000Reader.Channel

- Enclosing class:
    CV7000Reader

      class CV7000Reader.Channel
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `actionIndex`
    `java.lang.String` | `binning`
    `int` | `cameraNumber`
    `ome.xml.model.primitives.Color` | `color`
    `java.lang.String` | `correctionFile`
    `java.lang.Double` | `excitation`
    `java.lang.Double` | `exposureTime`
    `java.lang.String` | `fluor`
    `int` | `index`
    `java.util.List<java.lang.Integer>` | `lightSourceRefs`
    `java.lang.Double` | `magnification`
    `java.lang.String` | `objective`
    `java.lang.String` | `objectiveID`
    `int` | `timelineIndex`
    `double` | `xSize`
    `double` | `ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Channel()`
    `Channel(CV7000Reader.Channel ch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### timelineIndex

          public int timelineIndex

    - #### actionIndex

          public int actionIndex

    - #### index

          public int index

    - #### xSize

          public double xSize

    - #### ySize

          public double ySize

    - #### cameraNumber

          public int cameraNumber

    - #### correctionFile

          public java.lang.String correctionFile

    - #### lightSourceRefs

          public java.util.List<java.lang.Integer> lightSourceRefs

    - #### excitation

          public java.lang.Double excitation

    - #### objectiveID

          public java.lang.String objectiveID

    - #### objective

          public java.lang.String objective

    - #### magnification

          public java.lang.Double magnification

    - #### exposureTime

          public java.lang.Double exposureTime

    - #### binning

          public java.lang.String binning

    - #### color

          public ome.xml.model.primitives.Color color

    - #### fluor

          public java.lang.String fluor

  - ### Constructor Detail

    - #### Channel

          public Channel()

    - #### Channel

          public Channel(CV7000Reader.Channel ch)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2026 Open Microscopy Environment